Subject: OpenBSD 2.1 released

From: [email-masked] (Theo de Raadt)
Date: 2 Jun 1997 15:20:57 -0600

I am happy to announce the OpenBSD 2.1 release.  This release
continues the tradition from 2.0, adding even more fixes and
improvements.  A more complete (and in some ways nearly
incomprehensible) list of the changes we have made since 2.0 is
available for your reading pleasure at:

	http://www.OpenBSD.org/plus.html

A rough summary of the highlights would be:

	Way more security fixes.  Quite simply thousands of
	    potential and real problems have been solved,
	    like buffer overflows, /tmp races, and even
	    protocol with other kinds of problems.
	Significant improvements towards POSIX compliance.  This
	    happened because the NIST test suite became free.
	Nearly all userland bugs reported against FreeBSD,
	    NetBSD, or OpenBSD had at least an attempt made at
	    repair.  (Normally the bugs were easy to fix).
	Many pieces of imported software updated.
	More use of cryptography, where suitable.
	Many additional bugs fixed as we discovered them.

A (bootable) CD set will be available soon; keep your eye out for
further information which will be posted to the same places as this
announcement.  (It takes a few days for boxes of real CD's with real
artwork to be manufactured and shipped).

Installation of the system has been improved a fair bit; most
architectures can now be installed by simply booting a single install
floppy (or the CD, but more on that later).  That floppy will prepare
the disks and then install the entire OS using a standard URL
(ie. ftp://ftp.OpenBSD.org or http://www.cs.colorado.edu/ftp/pub/OpenBSD)

----------------------------------------

This 2.1 release is available for eight architectures:

	alpha
	amiga
	arc
	i386
	mac68k
	mvme68k
	pmax
	sparc

For more information on these ports, check:

	http://www.OpenBSD.org/plat.html

A few of these architectures are also supplied with X11R6.  The
release was actually delayed by a small amount of time since we wanted
to ship with X11R6.3 and XFree86 3.3, both of which contain a number
of security fixes.  (As well, those of you who follow the BUGTRAQ
mailing list might be pleased to know that our X11R6.3 trees were
updated and rebuilt with fixes when those few new holes were discussed
few days ago).  Those architectures which include X11 are:

	amiga
	arc
	i386
	mac68k (still coming)
	pmax
	sparc

----------------------------------------

The platform and X11 builders deserve credit for their efforts.  Some
of them had to build and test releases many, many, many times before
they were just right:

	Gene Skonicki
	George Robbins
	John Stone
	Matthieu Herrb
	Michael Shuldman
	Niklas Hallqvist
	Per Fogelstrom
	Steven Campbell
	Theo de Raadt
	Thomas Graichen
	Todd Fries

A special mention needs to go out to those who put lots of work into
the installation tools:

	Todd Miller
	Thorsten Lockert

Also, thanks a lot to everyone else who helped us test pre-releases.

I would also like to say that I am extremely grateful towards all
those who sent us bug reports and fixes since the last release;
especially those who worked with us on security and cryptography
issues.

----------------------------------------

For downloading information, check
	http://www.OpenBSD.org/ftp.html.

--
This space not left unintentionally unblank.		[email-masked]
www.OpenBSD.org -- We're fixing security problems so you can sleep at night.
(If it wasn't so fascinating I might get some sleep myself...)
-- 
     Todd C. Miller    Sysadmin/Consultant     [email-masked]